# $Revision: 1.63 $, $Date: 2012/03/14 18:05:33 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de.UTF-8):	Client für das 'trivial file transfer protocol (TFTP)'
Summary(fr.UTF-8):	Client pour le « trivial file transfer protocol » (TFTP)
Summary(pl.UTF-8):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Name:		tftp-hpa
Version:	5.2
Release:	2
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.kernel.org/pub/software/network/tftp/tftp-hpa/%{name}-%{version}.tar.xz
# Source0-md5:	e86f58164166804e8ae5a46010f29317
Source1:	tftpd-hpa.inetd
Source2:	tftpd-hpa.init
Source3:	tftpd-hpa.sysconfig
# from FC
Patch0:		tftp-0.40-remap.patch
Patch1:		%{name}-0.39-tzfix.patch
Patch2:		tftp-0.42-tftpboot.patch
Patch3:		tftp-0.49-chk_retcodes.patch
Patch4:		%{name}-0.49-fortify-strcpy-crash.patch
Patch5:		tftp-0.49-cmd_arg.patch
Patch6:		%{name}-0.49-stats.patch
Patch7:		%{name}-5.2-pktinfo.patch
URL:		http://freshmeat.net/projects/tftp-hpa/
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	inetutils-tftp
Obsoletes:	tftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains TFTP client.

%description -l de.UTF-8
Das trivial file transfer protocol (TFTP) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr.UTF-8
Le « trivial file transfer protocol » (TFTP) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikację
TFTP klienta.

%description -l tr.UTF-8
İlkel dosya aktarım protokolu genelde disksiz iş istasyonlarının ağ
üzerinden açılmalarında kullanılır. Güvenlik denetimleri çok az
olduğundan zorunlu kalmadıkça çalıştırılmamalıdır.

%package -n tftpd-hpa-common
Summary:	Daemon for the trivial file transfer protocol (TFTP)
Summary(de.UTF-8):	Dämon für das 'trivial file transfer protocol (TFTP)'
Summary(fr.UTF-8):	Démon pour le « trivial file transfer protocol » (TFTP)
Summary(pl.UTF-8):	Serwer TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Group:		Networking/Daemons/FTP
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Provides:	group(tftp)
Provides:	user(tftp)

%description -n tftpd-hpa-common
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp-hpa package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd-hpa-common -l de.UTF-8
Das trivial file transfer protocol (TFTP) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd-hpa-common -l fr.UTF-8
Le « trivial file transfer protocol » (TFTP) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -n tftpd-hpa-common -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Serwer TFTP powinien być
instalowany tylko wtedy, kiedy zachodzi taka konieczność ponieważ
należy on do aplikacji o niskim poziomie bezpieczeństwa.

%package -n tftpd-hpa-inetd
Summary:	inetd configs for tftpd-hpa
Summary(pl.UTF-8):	Pliki konfiguracyjne do użycia tftpd-hpa poprzez inetd
Group:		Networking/Daemons/FTP
Requires:	rc-inetd >= 0.8.1
Requires:	tftpd-hpa-common = %{version}-%{release}
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n tftpd-hpa-inetd
tftpd-hpa configs for running from inetd.

%description -n tftpd-hpa-inetd -l pl.UTF-8
Pliki konfiguracyjna tftpd-hpa do startowania demona poprzez inetd.

%package -n tftpd-hpa-standalone
Summary:	Standalone daemon configs for tftpd-hpa
Summary(pl.UTF-8):	Pliki konfiguracyjne do startowania tftpd-hpa w trybie standalone
Group:		Networking/Daemons/FTP
Requires:	rc-scripts
Requires:	tftpd-hpa-common = %{version}-%{release}
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n tftpd-hpa-standalone
tftpd-hpa configs for running as a standalone daemon.

%description -n tftpd-hpa-standalone -l pl.UTF-8
Pliki konfiguracyjne tftpd-hpa do startowania demona w trybie
standalone.

%prep
%setup -q
%patch0 -p1 -b .zero
%patch1 -p1 -b .tzfix
%patch2 -p1 -b .tftpboot
%patch3 -p1 -b .chk_retcodes
%patch4 -p1 -b .fortify-strcpy-crash
%patch5 -p1 -b .cmd_arg
%patch6 -p1 -b .stats
%patch7 -p1 -b .pktinfo

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT/var/lib/tftp

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/tftpd-hpa
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/tftpd-hpa

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd-hpa-common
%groupadd -P tftpd-hpa -g 59 -r -f tftp
%useradd -P tftpd-hpa -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g tftp tftp

%postun -n tftpd-hpa-common
if [ "$1" = "0" ]; then
	%userremove tftp
	%groupremove tftp
fi

%post -n tftpd-hpa-inetd
%service -q rc-inetd reload

%postun -n tftpd-hpa-inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post -n tftpd-hpa-standalone
/sbin/chkconfig --add tftpd-hpa
%service tftpd-hpa restart

%preun -n tftpd-hpa-standalone
if [ "$1" = "0" ]; then
	%service tftpd-hpa stop
	/sbin/chkconfig --del tftpd-hpa
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd-hpa-common
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%files -n tftpd-hpa-inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd

%files -n tftpd-hpa-standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/tftpd-hpa
%attr(754,root,root) /etc/rc.d/init.d/tftpd-hpa

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tftp-hpa.spec,v $
Revision 1.63  2012/03/14 18:05:33  arekm
- rel 2; patches from FC

Revision 1.62  2011/12/31 11:39:44  adamg
- updated to 5.2

Revision 1.61  2011/06/23 18:56:46  areq
- 5.1

Revision 1.60  2010/07/20 09:55:18  baggins
- rel 7
- properly force ipv4

Revision 1.59  2010/07/20 09:28:00  glen
- does not support ipv6, force ipv4 only, otherwise we get error:
  received address was not AF_INET, please check your inetd config
- rel 6

Revision 1.58  2010/01/12 20:07:17  adamg
- call %preun when removing tftpd-hpa-standalone; release 5

Revision 1.57  2009/04/23 15:56:13  baggins
- rel 4
- unconitionally use user tftp
- use /var/lib/tftp if no directory is set

Revision 1.56  2009/04/23 15:35:56  baggins
- rel 3
- works

Revision 1.55  2009/04/23 15:28:12  baggins
- there is no need to play with autoconf

Revision 1.54  2009/04/23 15:25:52  baggins
- create all dirs in install

Revision 1.53  2009/04/23 15:03:18  baggins
- rel 2
- split tftpd-hpa package into -common and -inetd
- added -standalone package

Revision 1.52  2009/03/06 20:08:24  duddits
- up to 5.0
- URL

Revision 1.51  2009/02/23 22:08:48  arekm
- release 2

Revision 1.50  2008/10/26 13:56:10  gotar
- Networking/Daemons/FTP group for TFTP servers

Revision 1.49  2008/10/22 07:29:07  adamg
- updated to 0.49

Revision 1.48  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.46  2007/02/01 20:54:02  areq
- 0.48

Revision 1.45  2006/12/07 07:35:07  aredridel
- 0.44

Revision 1.44  2006/07/31 23:25:22  sparky
- up to 0.42

Revision 1.43  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.42  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.41  2005/10/14 08:14:53  areq
- 0.41

Revision 1.40  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.39  2004/12/21 15:25:08  qboosh
- fixed build

Revision 1.38  2004/12/21 15:10:37  qboosh
- unified

Revision 1.37  2004/10/20 10:54:02  darekr
- updated to 0.40, rel.1
- added CHANGES in %doc

Revision 1.36  2004/10/10 19:42:30  paladine
- added missing BR: autoconf

Revision 1.35  2004/09/25 12:16:22  blues
- release 2 - obsoletes from inetutils - STBR

Revision 1.34  2004/09/15 09:35:47  areq
- 0.39

Revision 1.33  2004/09/03 09:03:40  areq
- 0.38

Revision 1.32  2004/08/25 04:17:31  ankry
- rel. 2

Revision 1.31  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.30  2004/07/09 23:59:45  ankry
- fixed Provides/Obsoletes

Revision 1.29  2004/07/09 15:16:47  agaran
- updated to 0.37,rel1 builds, not tested

Revision 1.28  2004/03/19 16:44:39  undefine
- release 3 for AC

Revision 1.27  2004/01/27 22:03:16  eothane
- updated to 0.36, few cosmetics

Revision 1.26  2004/01/10 02:43:37  undefine
- release 0.35, use normal configure macro, copy config.sub from am.

Revision 1.25  2003/12/10 23:22:12  undefine
- release 3 to rebuild with ac

Revision 1.24  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.23  2003/05/28 13:02:14  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/08 07:50:28  pascalek
- revert last stupid change

Revision 1.20  2003/05/07 12:28:16  pascalek
- tftp user belong to ftp group

Revision 1.19  2003/04/28 08:35:08  misi3k
- removed BR: binutils

Revision 1.18  2003/04/28 07:49:25  misi3k
- added BR: binutils

Revision 1.17  2003/04/28 07:25:00  misi3k
- rel 2
- fixed post & postun ( added group tftp - gid 59)

Revision 1.16  2003/04/12 08:21:45  areq
- 0.34

Revision 1.15  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.14  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.13  2002/11/21 10:39:57  blues
- release 2 - tftp dir is now owned by ftp group

Revision 1.12  2002/11/13 12:46:01  kloczek
- readline-devel added to Obsoletes,
- -lnsl removed from TFTPD_LIBS (linking with libnsl isn't neccessary).

Revision 1.11  2002/11/13 12:32:36  kloczek
- cosmetics.

Revision 1.10  2002/11/13 09:00:51  jasio
- 0.32, works fine
- STBR

Revision 1.9  2002/11/12 13:27:54  jasio
- Removed group tftp (works without it);
- Permissions tftp,root on /var/lib/tftp;
- STBR (rpm works OK for me now)

Revision 1.8  2002/11/07 11:00:51  jasio
- Added in pre and post section group tftp, changed perms on /var/lib/tftp
STBR

Revision 1.7  2002/10/25 09:32:01  areq
- 0.31, STBR

Revision 1.6  2002/10/20 20:22:07  qboosh
- Revision and Date

Revision 1.5  2002/10/17 12:51:48  jasio
- Fixed error in setup section

Revision 1.4  2002/10/17 12:49:18  jasio
- Fixed typo prep section

Revision 1.3  2002/10/17 12:44:14  jasio
- Change name in source1

Revision 1.2  2002/10/17 12:41:38  jasio
- Typos.

Revision 1.1  2002/10/17 11:18:44  jasio
- Initial release.
